using global::MongoDB.Bson.Serialization.Attributes;
using global::MongoDB.Bson;

namespace Blinks.Infra.MongoDB
{

    public class PersonUser
    {
        [BsonId]
        [BsonRepresentation(BsonType.ObjectId)]
        public string Id { get; set; }

        [BsonElement("Nome")]
        public string Nome { get; set; }

        [BsonElement("Email")]
        public string Email { get; set; }

        [BsonElement("País")]
        public string Pais { get; set; }

        [BsonElement("AreaDeNegocio")]
        public string AreaDeNegocio { get; set; }

        [BsonElement("Completado")]
        public bool Completado { get; set; }

        [BsonElement("Valido")]
        public bool Valido { get; set; }

        [BsonElement("DataHoraCriacao")]
        public DateTime DataHoraCriacao { get; set; }
    }
}
